Debug::DWARF::FORM -

# enum Debug::DWARF::FORM

## Defined in:

## Enum Members

Addr = `1_u32`
Block2 = `3_u32`

  address

Block4 = `4_u32`

  block

Data2 = `5_u32`

  block

Data4 = `6_u32`

  constant

Data8 = `7_u32`

  constant

String = `8_u32`

  constant

Block = `9_u32`

  string

Block1 = `10_u32`

  block

Data1 = `11_u32`

  block

Flag = `12_u32`

  constant

Sdata = `13_u32`

  flag

Strp = `14_u32`

  constant

Udata = `15_u32`

  string

RefAddr = `16_u32`

  constant

Ref1 = `17_u32`

  reference

Ref2 = `18_u32`

  reference

Ref4 = `19_u32`

  reference

Ref8 = `20_u32`

  reference

RefUdata = `21_u32`

  reference

Indirect = `22_u32`

  reference

SecOffset = `23_u32`

  (see Section 7.5.3)

Exprloc = `24_u32`

  lineptr, loclistptr, macptr, rangelistptr

FlagPresent = `25_u32`

  exprloc

RefSig8 = `32_u32`

  flag

## Instance Method Summary

- #addr?
- #block1?
- #block2?
- #block4?
- #block?
- #data1?
- #data2?
- #data4?
- #data8?
- #exprloc?
- #flag?
- #flag_present?
- #indirect?
- #ref1?
- #ref2?
- #ref4?
- #ref8?
- #ref_addr?
- #ref_sig8?
- #ref_udata?
- #sdata?
- #sec_offset?
- #string?
- #strp?
- #udata?

### Instance methods inherited from struct `Enum`

&(other : self) &, +(other : Int) +, -(other : Int) -, <=>(other : self) <=>, ==(other : self) ==, ^(other : self) ^, clone clone, each(&block) each, hash(hasher) hash, includes?(other : self) includes?, to_f32 : Float32 to_f32, to_f32! : Float32 to_f32!, to_f64 : Float64 to_f64, to_f64! : Float64 to_f64!, to_i : Int32 to_i, to_i16 : Int16 to_i16, to_i16! : Int16 to_i16!, to_i32 : Int32 to_i32, to_i32! : Int32 to_i32!, to_i64 : Int64 to_i64, to_i64! : Int64 to_i64!, to_i8 : Int8 to_i8, to_i8! : Int8 to_i8!, to_json(json : JSON::Builder) to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u16 : UInt16 to_u16, to_u16! : UInt16 to_u16!, to_u32 : UInt32 to_u32, to_u32! : UInt32 to_u32!, to_u64 : UInt64 to_u64, to_u64! : UInt64 to_u64!, to_u8 : UInt8 to_u8, to_u8! : UInt8 to_u8!, to_yaml(yaml : YAML::Nodes::Builder) to_yaml, |(other : self) |, ~ ~

### Constructor methods inherited from struct `Enum`

from_value(value : Int) : self from_value, from_value?(value : Int) : self? from_value?, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(pull : JSON::PullParser) new, parse(string : String) : self parse, parse?(string : String) : self? parse?

### Class methods inherited from struct `Enum`

each(&block) each, names : Array(String) names, values : Array(self) values

### Instance methods inherited from module `Comparable(Enum)`

<(other : T) <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) >, >=(other : T) >=

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Instance Method Detail

def addr? #
def block1? #
def block2? #
def block4? #
def block? #
def data1? #
def data2? #
def data4? #
def data8? #
def exprloc? #
def flag? #
def flag_present? #
def indirect? #
def ref1? #
def ref2? #
def ref4? #
def ref8? #
def ref_addr? #
def ref_sig8? #
def ref_udata? #
def sdata? #
def sec_offset? #
def string? #
def strp? #
def udata? #